package com.dxhy.admin.sys.service;

import java.util.Map;

import com.xxl.sso.core.user.SsoUser;

/**
 * 单点登录
 * 
 * @author jiaohongyang
 *
 */
public interface SsoLoginService {
    /**
     * 保存ITAX 获取到的用户信息
     * 
     * @param user
     *            用户信息
     * @return 是否成否
     */
    boolean saveUser(SsoUser user);

    /**
     * 定时任务存储保存菜单信息
     * 
     * @return 返回结果
     */
    void saveMenu();

    /**
     * 获取 token 用于用户信息 获取
     * 
     * @return
     */

    Map<String, String> setTokenUser(String token);

}
